Results 1 to 14 of 14

Thread: Live Update 3.5.35->3.5.36 leads to blank page

  1. #1
    New user
    Join Date
    12-04-18.
    Posts
    7

    Default Live Update 3.5.35->3.5.36 leads to blank page

    Hi,

    I have trouble upgrading my installation from 3.5.35 to 3.5.36 via Live Update.

    From the "Maintenance" page I go to the "Live update" page.
    My Live Update ID is entered, Database backup is selected.
    Then I select the version 3.5.36 and click on "Start update".

    I then get only a blank page.
    It's really blank, Firefox page source doesn't show anything (except line number 1).
    URL is XXXXXXXXX.de/contao/update.phar.php/index.php

    I deleted the contao/update.phar.php file and tried again. No change.
    I switched to german and deleted the file above. No change.

    PHP version is 5.6.38

    By now I had no problems updating this way.

    Any ideas?

    Thanks and have a nice eveneing,
    Ruppel

  2. #2
    Community-Moderator xchs's Avatar
    Join Date
    06-20-09.
    Posts
    1,002

    Default

    Are there any errors logged to system/logs/error.log?
    Contao Community Moderator
    → Support options

  3. #3
    New user
    Join Date
    12-04-18.
    Posts
    7

    Default

    Quote Originally Posted by xchs View Post
    Are there any errors logged to system/logs/error.log?
    Nothing.
    Newest Log file in that folder is from Oct/19.

  4. #4
    Community-Moderator xchs's Avatar
    Join Date
    06-20-09.
    Posts
    1,002

    Default

    Did you already check the system requirements with the Contao Check?
    Contao Community Moderator
    → Support options

  5. #5
    New user
    Join Date
    12-04-18.
    Posts
    7

    Default

    Quote Originally Posted by xchs View Post
    Did you already check the system requirements with the Contao Check?
    Contao Check 12.0 found:

    Contao system requirements

    You can install Contao 2.x More information …
    You can install Contao 3.x More information …
    You can install Contao 4.x More information …
    You cannot install Contao 4.5 More information …

    File permissions

    The PHP process is allowed to create files. More information …

    Additional services

    You can use the Live Update. More information …
    You can use the Composer package manager. More information …
    You can use the Extension Repository. More information …


    Validate an installation
    Version

    Found a Contao 3.5.35 installation.
    Corrupt files

    robots.txt

    Your installation is not up to date.

  6. #6
    New user
    Join Date
    12-04-18.
    Posts
    7

    Default

    /robots.txt:
    User-agent: *
    Disallow: /check/
    Disallow: /contao/
    Disallow: /system/
    Disallow: /templates/
    Disallow: /vendor/
    Disallow: /share/index.php
    Disallow: /build.xml
    Disallow: /composer.json
    Disallow: /composer.lock
    Disallow: /README.md

  7. #7
    Community-Moderator xchs's Avatar
    Join Date
    06-20-09.
    Posts
    1,002

    Default

    Okay, seems like it is all fine with the Live Update.
    Contao Community Moderator
    → Support options

  8. #8
    Community-Moderator xchs's Avatar
    Join Date
    06-20-09.
    Posts
    1,002

    Default

    Can you open the following URL: https://example.com/contao/update.phar.php/index.php?do=process ?
    Contao Community Moderator
    → Support options

  9. #9
    New user
    Join Date
    12-04-18.
    Posts
    7

    Default

    Quote Originally Posted by xchs View Post
    Can you open the following URL: https://example.com/contao/update.phar.php/index.php?do=process ?
    Same, blank page

  10. #10
    Community-Moderator xchs's Avatar
    Join Date
    06-20-09.
    Posts
    1,002

    Default

    Strange. Maybe you check out also which response header you get when opening this URL?

    You may eventually want to perform the update with the easyUpdate3 extension (https://contao.org/en/extension-list...pdate3.en.html).
    Last edited by xchs; 12/05/2018 at 16:18.
    Contao Community Moderator
    → Support options

  11. #11
    New user
    Join Date
    12-04-18.
    Posts
    7

    Default

    Hi,

    (back again...)

    Now,... I managed to turn on "display_errors" in the shared webspace php settings.
    After "Start update" I get the following:

    Fatal error: Phar::webPhar(): Failed opening required 'phar:///var/www/...../httpdocs/contao/update.phar.php/index.php' (include_path='.:/opt/plesk/php/5.6/share/pear') in /var/www/...../httpdocs/contao/update.phar.php on line 62

    I checked the file, but I'm not familiar with php, but I think some of you are :-)

    Cheers,
    Ruppel

  12. #12
    Community-Moderator xchs's Avatar
    Join Date
    06-20-09.
    Posts
    1,002

    Default

    Could you maybe switch to PHP 7.1 or PHP 7.2?
    Contao Community Moderator
    → Support options

  13. #13
    New user
    Join Date
    12-04-18.
    Posts
    7

    Default

    Hi,

    OK, switched to php 7.2.
    This leaded to a general error, but I found a solution for this (switch dbdriver to 'MySQLi') in localconfig.

    Now, the update works as expected, phew!

    Thanks for the fast help!
    Cheers,
    Ruppel

  14. #14
    Community-Moderator xchs's Avatar
    Join Date
    06-20-09.
    Posts
    1,002

    Default

    You're welcome.

    Also check your third-party extensions to see if they are compatible with PHP 7.2.
    Contao Community Moderator
    → Support options

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •